
/*
 * me26_ioctl.h -- ioctl definitions for the me26 module
 *
 *********/

#include <linux/ioctl.h>

/*The timer bytes in little-endian order,
from left to right,
which is on INTEL (little-endian) 
from less significant (byte # 0) to most
significant (byte # 3):
LSB timer 0, MSB timer 0, LSB timer 1, MSB timer 1 */
extern unsigned long timer; 


/*
 * Ioctl definitions
 */

/* Use 'k' as magic number */
#define ME26_IOC_MAGIC  'k'

/* Use of an external timer for triggering A/D */
#define ME26_IOCEXTTIMER   _IOW(ME26_IOC_MAGIC, 0, timer)
/* Use of the internal timer for triggering A/D */
#define ME26_IOCINTTIMER   _IO(ME26_IOC_MAGIC, 1)
/* Software triggering A/D */
#define ME26_IOCSOFTIMER   _IO(ME26_IOC_MAGIC, 2)

/* Interrupt after A/D */
#define ME26_IOCUSEINTERRUPT _IO(ME26_IOC_MAGIC, 3)
/* No interrupt after A/D */
#define ME26_IOCNOINTERRUPT  _IO(ME26_IOC_MAGIC, 4)


#define ME26_IOC_MAXNR 4

/* ... more to come */
